Run of fresh-snapshots for policykit-1

Try this locally package):

debcheckout policykit-1
cd policykit-1
DEB_UPDATE_CHANGELOG=auto deb-new-upstream --snapshot --debian-revision=0kali1 --refresh-patches
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
[2021-09-24 23:26:28] Opening branch at https://gitlab.com/kalilinux/packages/policykit-1.git/,branch=kali%2Fmaster
[2021-09-24 23:26:28] Using cached branch https://janitor.kali.org/git/policykit-1/,branch=kali%2Flatest
[2021-09-24 23:26:29] Total 500 (delta 41), reused 449 (delta 0)
[2021-09-24 23:26:32] Total 11 (delta 5), reused 5 (delta 0)
[2021-09-24 23:26:34] Total 6 (delta 0), reused 0 (delta 0), pack-reused 4
[2021-09-24 23:26:37] Total 6 (delta 0), reused 0 (delta 0), pack-reused 4
[2021-09-24 23:26:39] Total 6 (delta 0), reused 0 (delta 0), pack-reused 4
[2021-09-24 23:26:39] Workspace ready - starting.
[2021-09-24 23:26:39] Running ['deb-new-upstream', '--snapshot', '--debian-revision=0kali1', '--refresh-patches']
[2021-09-24 23:26:39] Assuming changelog does not need to be updated, since there is a [dch] section in gbp.conf.
Using upstream branch https://github.com/freedesktop/polkit.git (from configuration)
Total 9002 (delta 148), reused 200 (delta 84), pack-reused 8715
Using version string 0.115+git20210907.1.4bb2157.
No upstream upstream-revision format specified, trying tag:0.105
Not including upstream history, since previous upstream version (0.105) is not present in packaging branch history.
Looking for upstream policykit-1/0.115+git20210907.1.4bb2157 in upstream branch <RemoteGitBranch('https://github.com/freedesktop/polkit.git/', 'master')>.
Running dist command: SCHROOT=kali-dev-amd64-sbuild PYTHONPATH=/:/opt/debian-janitor/ognibuild:/opt/debian-janitor/buildlog-consultant:/opt/debian-janitor/upstream-ontologist:/opt/debian-janitor:/opt/debian-janitor/lintian-brush:/opt/debian-janitor/breezy:/opt/debian-janitor/silver-platter:/opt/debian-janitor/dulwich:/opt/debian-janitor/python-debian/lib:/opt/debian-janitor/debmutate:/usr/lib/python37.zip:/usr/lib/python3.7:/usr/lib/python3.7/lib-dynload:/usr/local/lib/python3.7/dist-packages:/usr/lib/python3/dist-packages:/usr/lib/python3.7/dist-packages /usr/bin/python3 -m janitor.dist --packaging=/home/janitor/tmp/janitor4ufevrqa/policykit-1/debian
Opened schroot session kali-dev-amd64-sbuild-12f24bbb-028e-451d-ae50-f4fce60f781f (from kali-dev-amd64-sbuild)
apt: running ['apt', '-y', 'satisfy', 'dbus <!nocheck>,\n debhelper-compat (= 13),\n gobject-introspection (>= 0.9.12-4~),\n gtk-doc-tools,\n intltool (>= 0.40.0),\n libexpat1-dev,\n libgirepository1.0-dev (>= 0.9.12),\n libglib2.0-dev (>= 2.28.0),\n libglib2.0-doc,\n libgtk-3-doc,\n libpam0g-dev,\n libselinux1-dev [linux-any],\n libsystemd-dev [linux-any],\n pkg-config,\n xsltproc']
Creating directory /home/janitor in schroot session.
Using dependency resolver: [apt, cpan, ctan, pypi, npm, go, hackage, cran, cran, octave-forge]
Running ['meson', 'setup', 'build']
Identified error: MissingCommand(command='meson')
Attempting to use fixer upstream requirement fixer([apt, cpan, ctan, pypi, npm, go, hackage, cran, cran, octave-forge]) to address MissingCommand(command='meson')
Loading apt contents information
apt: running ['apt', '-y', 'satisfy', 'meson']
Identified error: MissingPkgConfig('mozjs-78', minimum_version=None)
Attempting to use fixer upstream requirement fixer([apt, cpan, ctan, pypi, npm, go, hackage, cran, cran, octave-forge]) to address MissingPkgConfig('mozjs-78', minimum_version=None)
apt: running ['apt', '-y', 'satisfy', 'libmozjs-78-dev']
Running ['ninja', '-C', 'build', 'dist']
Identified error: VcsControlDirectoryNeeded(vcs=['git', 'hg'])
No fixer found for VcsControlDirectoryNeeded(vcs=['git', 'hg'])
Failed to find resolution for error VcsControlDirectoryNeeded(vcs=['git', 'hg']). Giving up.
dist-vcs-control-directory-needed: Version control directory needed
Version control directory needed

Full worker log